Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

All Implemented Interfaces:
  GroovyDoc, GroovyTokenTypes

    public class SimpleGroovyDoc
    extends Object

Constructor Summary
`SimpleGroovyDoc(String name)`

Method Summary
`static String` | `calculateFirstSentence(String raw)`
`String` | `commentText()`
`int` | `compareTo(Object that)`
`String` | `firstSentenceCommentText()`
`String` | `getRawCommentText()`
`String` | `getTypeDescription()`
`String` | `getTypeSourceDescription()`
`boolean` | `isAnnotationType()`
`boolean` | `isAnnotationTypeElement()`
`boolean` | `isClass()`
`boolean` | `isConstructor()`
`boolean` | `isDeprecated()`
`boolean` | `isEnum()`
`boolean` | `isEnumConstant()`
`boolean` | `isError()`
`boolean` | `isException()`
`boolean` | `isField()`
`boolean` | `isIncluded()`
`boolean` | `isInterface()`
`boolean` | `isMethod()`
`boolean` | `isOrdinaryClass()`
`boolean` | `isScript()`
`String` | `name()`
`protected void` | `setCommentText(String commentText)`
`void` | `setDeprecated(boolean deprecated)`
`protected void` | `setFirstSentenceCommentText(String firstSentenceCommentText)`
`void` | `setRawCommentText(String rawCommentText)`
`void` | `setScript(boolean script)`
`void` | `setTokenType(int t)`
`GroovyTag[]` | `tags()`
`String` | `toString()`
`int` | `tokenType()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SimpleGroovyDoc

    public SimpleGroovyDoc(String name)

Method Detail

### calculateFirstSentence

    public static String calculateFirstSentence(String raw)

### commentText

    public String commentText()

### compareTo

    public int compareTo(Object that)

### firstSentenceCommentText

    public String firstSentenceCommentText()

### getRawCommentText

    public String getRawCommentText()

### getTypeDescription

    public String getTypeDescription()

### getTypeSourceDescription

    public String getTypeSourceDescription()

### isAnnotationType

    public boolean isAnnotationType()

### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

### isClass

    public boolean isClass()

### isConstructor

    public boolean isConstructor()

### isDeprecated

    public boolean isDeprecated()

### isEnum

    public boolean isEnum()

### isEnumConstant

    public boolean isEnumConstant()

### isError

    public boolean isError()

### isException

    public boolean isException()

### isField

    public boolean isField()

### isIncluded

    public boolean isIncluded()

### isInterface

    public boolean isInterface()

### isMethod

    public boolean isMethod()

### isOrdinaryClass

    public boolean isOrdinaryClass()

### isScript

    public boolean isScript()

### name

    public String name()

### setCommentText

    protected void setCommentText(String commentText)

### setDeprecated

    public void setDeprecated(boolean deprecated)

### setFirstSentenceCommentText

    protected void setFirstSentenceCommentText(String firstSentenceCommentText)

### setRawCommentText

    public void setRawCommentText(String rawCommentText)

### setScript

    public void setScript(boolean script)

### setTokenType

    public void setTokenType(int t)

### tags

    public GroovyTag[] tags()

### toString

    public String toString()

### tokenType

    public int tokenType()

Copyright © 2003-2010 The Codehaus. All rights reserved.